slackware-current/testing/source/mariadb/mysql_install_db.nopam.diff
Patrick J Volkerding 4c189bc9bc Mon May 3 19:58:20 UTC 2021
a/kernel-firmware-20210503_3f23f51-noarch-1.txz:  Upgraded.
ap/mariadb-10.5.9-x86_64-1.txz:  Upgraded.
  Reverted to the latest stable release.
d/mercurial-5.8-x86_64-1.txz:  Upgraded.
kde/calligra-3.2.1-x86_64-8.txz:  Rebuilt.
  Recompiled against poppler-21.05.0.
kde/cantor-21.04.0-x86_64-2.txz:  Rebuilt.
  Recompiled against poppler-21.05.0.
kde/kfilemetadata-5.81.0-x86_64-2.txz:  Rebuilt.
  Recompiled against poppler-21.05.0.
kde/kile-2.9.93-x86_64-8.txz:  Rebuilt.
  Recompiled against poppler-21.05.0.
kde/kitinerary-21.04.0-x86_64-2.txz:  Rebuilt.
  Recompiled against poppler-21.05.0.
kde/krita-4.4.3-x86_64-4.txz:  Rebuilt.
  Recompiled against poppler-21.05.0.
kde/okular-21.04.0-x86_64-2.txz:  Rebuilt.
  Recompiled against poppler-21.05.0.
l/isl-0.24-x86_64-1.txz:  Upgraded.
l/poppler-21.05.0-x86_64-1.txz:  Upgraded.
  Shared library .so-version bump.
l/python-pygments-2.9.0-x86_64-1.txz:  Upgraded.
n/ethtool-5.12-x86_64-1.txz:  Upgraded.
n/httpd-2.4.47-x86_64-2.txz:  Rebuilt.
  Recompiled against the mariadb-10.5.9 shared libraries.
n/postfix-3.6.0-x86_64-2.txz:  Rebuilt.
  Recompiled against the mariadb-10.5.9 shared libraries.
xap/gparted-1.3.0-x86_64-1.txz:  Upgraded.
testing/packages/mariadb-10.6.0-x86_64-1.txz:  Upgraded.
  Since this is still considered alpha and not production ready, we'll put it
  in /testing for now. Unless you're using an Atom (or other 32-bit processor
  affected by the illegal instruction issue) it's probably best to stick with
  mariadb-10.5.9.
2021-05-03 23:59:55 +02:00

48 lines
1.8 KiB
Diff

--- ./scripts/mysql_install_db.sh.orig 2020-01-28 11:31:09.088303502 -0600
+++ ./scripts/mysql_install_db.sh 2020-01-28 11:35:47.822283410 -0600
@@ -480,25 +480,26 @@
if test -n "$user"
then
- if test -z "$srcdir" -a "$in_rpm" -eq 0
- then
- chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
- chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
- if test $? -ne 0
- then
- echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
- echo "It must be root, the PAM authentication plugin doesn't work otherwise.."
- echo
- fi
- chown $user "$pamtooldir/auth_pam_tool_dir" && \
- chmod 0700 "$pamtooldir/auth_pam_tool_dir"
- if test $? -ne 0
- then
- echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
- echo "to the '$user' user. Check that you have the necessary permissions and try again."
- echo
- fi
- fi
+ # Commented out since Slackware does not currently provide PAM:
+ #if test -z "$srcdir" -a "$in_rpm" -eq 0
+ #then
+ # chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
+ # chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
+ # if test $? -ne 0
+ # then
+ # echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
+ # echo "It must be root, the PAM authentication plugin doesn't work otherwise.."
+ # echo
+ # fi
+ # chown $user "$pamtooldir/auth_pam_tool_dir" && \
+ # chmod 0700 "$pamtooldir/auth_pam_tool_dir"
+ # if test $? -ne 0
+ # then
+ # echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
+ # echo "to the '$user' user. Check that you have the necessary permissions and try again."
+ # echo
+ # fi
+ #fi
args="$args --user=$user"
fi